Skip to content

Receive Authorization Status Change Notification

Request

Webhook Endpoint for Software Services

This endpoint should be implemented by Software Services to receive authorization status change notifications from Keeta system.

IMPORTANT: This is an endpoint you need to implement on your server.

How to configure webhooks You can log in to the Developer Portal, where there is a webhook configuration section. You can configure webhooks there. Please focus only on the webhook configuration for Formal Store. 1301 represents the webhook for new authorization notifications, and 1302 represents the webhook for authorization cancellation notifications.

Notification Triggers:

  • Merchant adds new store authorization
  • Merchant cancels store authorization

Technical Requirements:

  • Method: HTTP POST
  • Content-Type: application/json
  • Response Time: Recommended within 5 seconds
  • HTTP Status: Must return 200 for success
  • Response Format: JSON with code and message fields

Best Practices:

  • Idempotency: Use authId and opType to ensure operation idempotency
  • Async Processing: Respond quickly, process business logic asynchronously
  • Logging: Log all received notifications for troubleshooting
  • Monitoring: Set up monitoring and alerting for webhook reception

HOST: Service Provider

DIRECTION:

Headers
X-App-Signaturestring, (SHA256)required

SHA256 hash of the request body, using the client secret as the key

Bodyapplication/jsonrequired

Authorization status change notification data

clientIdinteger, (int64)required

Application ID identifying the Software Services application

Example:2666245991
authIdstringrequired

Authorization ID that uniquely identifies a specific authorization session.
Each authorization generates a unique authId. There are two ways to obtain the authId:
1. Merchant authorization redirect - the authId is included in the redirect URL
2. Keeta Authorization Webhook - the authId is provided in the webhook payload
Please refer to the following for the specific workflow:Merchant Self-serve Authorization

Example:"41008"
opTypeintegerrequired

Operation type: 1 = Add authorization, 2 = Cancel authorization

Enum:12
Example:1
shopIdinteger, (int64)required

Store ID

Example:478268
shopNamestringrequired

Store name

Example:"10 Shanghai"
createTimeinteger, (int64)required

Event timestamp in milliseconds

Example:1753151456973
curl -i -X POST \
  https://open.mykeeta.com/api/open/opendelivery/webhook/authorization \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: string' \
  -d '{
    "clientId": 2666245991,
    "authId": "41008",
    "opType": 1,
    "shopId": 478268,
    "shopName": "10 Shanghai",
    "createTime": 1753151456973
  }'

Responses

Successfully processed webhook notification

Response
No content

Receive Authorization Status Change Notification

Request

Webhook Endpoint for Software Services

This endpoint should be implemented by Software Services to receive authorization status change notifications from Keeta system.

IMPORTANT: This is an endpoint you need to implement on your server.

How to configure webhooks You can log in to the Developer Portal, where there is a webhook configuration section. You can configure webhooks there. Please focus only on the webhook configuration for Formal Store. 1301 represents the webhook for new authorization notifications, and 1302 represents the webhook for authorization cancellation notifications.

Notification Triggers:

  • Merchant adds new store authorization
  • Merchant cancels store authorization

Technical Requirements:

  • Method: HTTP POST
  • Content-Type: application/json
  • Response Time: Recommended within 5 seconds
  • HTTP Status: Must return 200 for success
  • Response Format: JSON with code and message fields

Best Practices:

  • Idempotency: Use authId and opType to ensure operation idempotency
  • Async Processing: Respond quickly, process business logic asynchronously
  • Logging: Log all received notifications for troubleshooting
  • Monitoring: Set up monitoring and alerting for webhook reception

HOST: Service Provider

DIRECTION:

Headers
X-App-Signaturestring, (SHA256)required

SHA256 hash of the request body, using the client secret as the key

Bodyapplication/jsonrequired

Authorization status change notification data

clientIdinteger, (int64)required

Application ID identifying the Software Services application

Example:2666245991
authIdstringrequired

Authorization ID that uniquely identifies a specific authorization session.
Each authorization generates a unique authId. There are two ways to obtain the authId:
1. Merchant authorization redirect - the authId is included in the redirect URL
2. Keeta Authorization Webhook - the authId is provided in the webhook payload
Please refer to the following for the specific workflow:Merchant Self-serve Authorization

Example:"41008"
opTypeintegerrequired

Operation type: 1 = Add authorization, 2 = Cancel authorization

Enum:12
Example:1
shopIdinteger, (int64)required

Store ID

Example:478268
shopNamestringrequired

Store name

Example:"10 Shanghai"
createTimeinteger, (int64)required

Event timestamp in milliseconds

Example:1753151456973
curl -i -X POST \
  https://open.mykeeta.com/api/open/opendelivery/webhook/authorization \
  -H 'Content-Type: application/json' \
  -H 'X-App-Signature: string' \
  -d '{
    "clientId": 2666245991,
    "authId": "41008",
    "opType": 1,
    "shopId": 478268,
    "shopName": "10 Shanghai",
    "createTime": 1753151456973
  }'

Responses

Successfully processed webhook notification

Response
No content